import React, { FC } from 'react';
import { BrowserRouter as Router, Switch, Route } from 'react-router-dom';
import { createMuiTheme, ThemeProvider } from '@material-ui/core/styles';
import { HomePage2 } from './components/AuthUser/HomePage2/HomePage2';
import { ReservationPage } from './components/AuthUser/Reservation/ReservationPage';

const theme = createMuiTheme({
  palette: {
    primary: {
      main: '#5e5ce4',
    },
    secondary: {
      main: '#e2e45c',
    },
  },

  typography: {
    fontSize: 16,
  },

  overrides: {
    MuiTabs: {
      indicator: {
        backgroundColor: 'white',
      },
    },
    MuiTab: {
      wrapper: {
        flexDirection: 'row',
      },
    },
  },
});

export const App: FC = () => (
  <Router>
    <Switch>
      <Route path="/">
        <div data-testid="App">
          <ThemeProvider theme={theme}>
            <ReservationPage />
          </ThemeProvider>
        </div>
      </Route>
    </Switch>
  </Router>
);
